## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - l -

- Last : csList< T >, csJoystickDriver, csMouseDriver
- last_cur_time : csProcTexture
- last_error : csPhysicalFile
- last_mod_file_date : ZIP_central_directory_file_header, ZIP_local_file_header
- last_mod_file_time : ZIP_central_directory_file_header, ZIP_local_file_header
- last_portal : csRenderContext
- last_sample : CrystalSpace::PCMSampleConverter
- LastClick : csMouseDriver
- LastClickButton : csMouseDriver
- LastClickTime : csMouseDriver
- LastClipResult() : csClipper
- lastDataUpdateFrame : csNewParticleSystem
- lastDead : csKeyComposer
- lastEventType : OSXDelegate2D
- lastLock : csRenderBuffer::Props
- layers : csGenerateImageTextureBlend
- Layout() : awsEmbeddedComponent, iAwsComponent
- LayoutChildren() : awsEmbeddedComponent, iAwsComponent
- LayoutComponents() : iAwsLayoutManager
- leaves : csSubRectangles
- Left() : csMath2
- left : csBitmapMetrics, csRedBlackTree< K >::Node, csGradientShade
- Length() : iStringArray, iString, iPath, iAwsKeyContainer, csPathsList, scfStringArray, scfString, csFIFO< T, ElementHandler, MemoryAllocator >, csStringBase, csBitArray, csArray< T, ElementHandler, MemoryAllocator >, csPath
- light_mgr : csNewParticleSystem, csParticleSystem
- lightAttenuation : csLightShaderVarCache
- lightAttenuationMode : csLightShaderVarCache
- lightAttenuationTex : csLightShaderVarCache
- LightChanged() : iLightingInfo
- lightDiffuse : csLightShaderVarCache
- lightDirection : csLightShaderVarCache
- lightDirectionCamera : csLightShaderVarCache
- lightDirectionWorld : csLightShaderVarCache
- LightDisconnect() : iLightingInfo
- Lighting : csNewParticleSystem
- lightInnerFalloff : csLightShaderVarCache
- lightOuterFalloff : csLightShaderVarCache
- lightPosition : csLightShaderVarCache
- lightPositionCamera : csLightShaderVarCache
- lightPositionWorld : csLightShaderVarCache
- LightProperty : csLightShaderVarCache
- lightSpecular : csLightShaderVarCache
- lightTransformCamera : csLightShaderVarCache
- lightTransformWorld : csLightShaderVarCache
- lightType : csLightShaderVarCache
- LightVisible() : iLightVisibleCallback
- LineAddress : csGraphics2D
- LineInClosedMesh() : csPolygonMeshTools
- LineLine() : csIntersect2
- LineNumber : IMAGEHLP_LINEW64, IMAGEHLP_LINE64
- LineNumbers : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- LinkAbove() : awsEmbeddedComponent, iAwsComponent
- LinkBelow() : awsEmbeddedComponent, iAwsComponent
- Listener : csInputDriver
- listener_parameters : iSndSysSoftwareFilter3DProperties
- listeners : csObject
- LitColors : csNewParticleSystem
- Load() : iConfigFile, iVosSector, iGenMeshAnimationControlFactory, iModelLoader, iLoader, iImageIO, iRenderLoopManager, iCameraPosition, iAws, iAwsPrefManager, csWin32RegistryConfig, csConfigManager, csConfigFile, csConfigDocument, iShaderProgram, csCommonImageFile
- LoadConfig() : iInputBinder, csInputBinder
- LoadCoreAnimation() : iSpriteCal3DFactoryState
- LoadCoreMesh() : iSpriteCal3DFactoryState
- LoadCoreMorphTarget() : iSpriteCal3DFactoryState
- LoadCoreSkeleton() : iSpriteCal3DFactoryState
- LoadData() : iImageFileLoader
- LoadedImageName : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- LoadedPdbName : IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- LoaderJob() : csCommonImageFile::LoaderJob
- LoadFont() : iFontServer
- LoadImage() : iLoader
- loadJob : csCommonImageFile
- LoadLibrary() : iLoader
- LoadLibraryFile() : iLoader
- LoadMap() : iLoader
- LoadMapFile() : iLoader
- LoadMeshFactory() : iEngine
- LoadMeshObject() : iLoader
- LoadMeshObjectFactory() : iLoader
- LoadMeshWrapper() : iEngine
- LoadModule() : iScript
- LoadMountsFromFile() : iVFS
- LoadPlugin() : iPluginManager, csPluginManager
- LoadPlugins() : csPluginLoader
- loadResult : csCommonImageFile::LoaderJob
- LoadScriptFile() : iGenMeshSkeletonControlFactory
- LoadShader() : iLoader
- LoadSound() : iSoundLoader, iSndSysLoader, iLoader
- LoadSoundData() : iLoader
- LoadSoundStream() : iLoader
- LoadSoundSysData() : iLoader
- LoadSoundWrapper() : iLoader
- LoadTexture() : iLoader
- LocateFile() : csPathsUtilities
- LocateNode() : csRedBlackTree< K >
- Location : MINIDUMP_DIRECTORY
- Lock() : iRenderBuffer, iPolygonMesh, csEventCord, csRenderBufferLock< T, TbufferKeeper >, csRenderBuffer, csPolygonMeshBox, csPolygonMesh
- LockMemory() : iSoundDriver
- LockTry() : csSemaphore, csMutex
- LockWait() : csSemaphore, csMutex
- logparent : csParticleSystem
- LogParent : csMeshFactory, csMeshObject
- LookAt() : csReversibleTransform
- LookChar() : csFileReadHelper
- LookupDomain() : iConfigManager, csConfigManager
- LookupIntKey() : iAwsPrefManager
- LookupPointKey() : iAwsPrefManager
- LookupRectKey() : iAwsPrefManager
- LookupRGBKey() : iAwsPrefManager
- LookupStringKey() : iAwsPrefManager
- LoopStream : csSoundHandle
- LoseFocus : iAws
- LostFocus() : csJoystickDriver, csMouseDriver, csKeyboardDriver
- Lower() : awsEmbeddedComponent, iAwsComponent
- LRUAlloc : csFontCache
- LTrim() : csStringBase
- Luminance() : csRGBpixel